Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlp.rest.results
Class ResponseMessage

    java.lang.Object
      com.bea.wlp.rest.results.ResponseMessage

    public class ResponseMessage

extends Object

JavaBean implementation of an error message class.

Constructor Summary
`ResponseMessage(int status, String message)`

Method Summary
`String` | `getMessage()` The message text detail for the `ResponseMessage`.
`int` | `getStatus()` The status for the `ResponseMessage`
`void` | `setMessage(String message)` Sets the text message detail of this `ResponseMessage`.
`void` | `setStatus(int status)` Sets the status code for this `ResponseMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseMessage

    public ResponseMessage(int status,
                           String message)

Method Detail

### getStatus

    public int getStatus()

  The status for the `ResponseMessage`

  Returns
    the error status

### setStatus

    public void setStatus(int status)

  Sets the status code for this `ResponseMessage`

  Parameters
    `status` - the code to set the status to

### getMessage

    public String getMessage()

  The message text detail for the `ResponseMessage`.

  Returns
    the message text

### setMessage

    public void setMessage(String message)

  Sets the text message detail of this `ResponseMessage`.

  Parameters
    `message` - the message detail to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.